Subject: Re: bug#41008: 26.1; tramp/dired confirmation trapped

From: pillule <[email-masked]>
Date: Sun, 10 May 2020 01:29:04 +0000

On Mon, May 04 2020, Michael Albinus wrote:

>> Hello,
>
> Hi,
>
>> When I use tramp and dired to a remote machine, and for some reason,
>> dired must ask for a confirmation (overwrite, large file etc…), I
>> never see the demand and have no possibility to answer it.
>> The only trace of this is in the *message* buffer.
>>
>> So, the task did not finish. An emacs buffer wait indefinitly an
>> answer. And nothing than the lack of result indicate to the user that
>> it is not working.
>
> I've tried to reproduce it with Emacs 26.3. I started in a shell with
>
> # touch /tmp/x /tmp/y
>
> Afterwards, I called "emacs -Q /ssh::/tmp". Moved the cursor in dired to
> file x, pressed key "C", confirmed file "/ssh:hostname:/tmp/y" to be
> overwritten. The echo area shows
>
> Overwrite ‘/ssh:hostname:/tmp/y’? [Type yn!q or C-h]
>
> as expected. Could you pls try the same scenario? Important is to start
> "emacs -Q".

Yes. It result with an error message :
"ssh : cannot connect to host hostname port 22 : connexion refused"
This is a normal behavior since I have installed a ssh server only on
my remote machine and not my local one.

I am sorry to say that my report seems not enought to help my
self to remember exactly and reproduce the situation again.

I hope you forgive me about that and promise to be more rigorous an
hypothetic next time.

Have a nice day.

--